#line 1 "C:/Users/Temelko/Desktop/pic18f2550_metronome/source/metro.c"


unsigned int map(unsigned int x, int in_min, int in_max, int out_min, int out_max) {
 return (x - in_min) * (out_max - out_min) / (in_max - in_min) + out_min;
}


void initTimer1(void) {

 T1CON = 0x01;
 TMR1IF_bit = 0;
 TMR1H = 0x9E;
 TMR1L = 0x58;
 TMR1IE_bit = 1;
 INTCON = 0xC0;

 return;
}

unsigned short counter = 0;
const unsigned int Note_Freq = 750;
const unsigned int Note_Dura = 50;
extern unsigned int NINTs;

void Interrupt(void) {

 if (TMR1IF_bit) {
 TMR1IF_bit = 0;
 TMR1H = 0x9E;
 TMR1L = 0x58;
 counter++;

 NINTs = map(ADC_Read(0), 0, 1023, 0, 38);

 if (counter > NINTs) {



 Sound_Play(Note_Freq, Note_Dura);

 counter = 0;
 }
 }

}

void setup(void) {

 CMCON = 0x07;
 ADCON1 = 0x0E;
#line 54 "C:/Users/Temelko/Desktop/pic18f2550_metronome/source/metro.c"
 Glcd_Init();
 Glcd_Set_Font(Font_Glcd_Character8x7, 8, 7, 32);
 Sound_Init(&PORTC, 6);
 ADC_Init();

 return;
}
