
_main:

;pic18f2550_metronome.c,3 :: 		void main() {
;pic18f2550_metronome.c,5 :: 		unsigned int NINT0 = 1;
	MOVLW       1
	MOVWF       main_NINT0_L0+0 
	MOVLW       0
	MOVWF       main_NINT0_L0+1 
;pic18f2550_metronome.c,8 :: 		initTimer1();
	CALL        _initTimer1+0, 0
;pic18f2550_metronome.c,9 :: 		setup();
	CALL        _setup+0, 0
;pic18f2550_metronome.c,11 :: 		Glcd_Image(picture);
	MOVLW       _picture+0
	MOVWF       FARG_Glcd_Image_image+0 
	MOVLW       hi_addr(_picture+0)
	MOVWF       FARG_Glcd_Image_image+1 
	MOVLW       higher_addr(_picture+0)
	MOVWF       FARG_Glcd_Image_image+2 
	CALL        _Glcd_Image+0, 0
;pic18f2550_metronome.c,12 :: 		Delay_ms(2000);
	MOVLW       11
	MOVWF       R11, 0
	MOVLW       38
	MOVWF       R12, 0
	MOVLW       93
	MOVWF       R13, 0
L_main0:
	DECFSZ      R13, 1, 1
	BRA         L_main0
	DECFSZ      R12, 1, 1
	BRA         L_main0
	DECFSZ      R11, 1, 1
	BRA         L_main0
	NOP
	NOP
;pic18f2550_metronome.c,13 :: 		Glcd_Fill(0x00); // Clear GLCD
	CLRF        FARG_Glcd_Fill_pattern+0 
	CALL        _Glcd_Fill+0, 0
;pic18f2550_metronome.c,17 :: 		while(1) {
L_main1:
;pic18f2550_metronome.c,18 :: 		d = NINTs - NINT0;
	MOVF        main_NINT0_L0+0, 0 
	SUBWF       _NINTs+0, 0 
	MOVWF       R1 
	MOVF        main_NINT0_L0+1, 0 
	SUBWFB      _NINTs+1, 0 
	MOVWF       R2 
;pic18f2550_metronome.c,19 :: 		if (d != 0) { // if the pot is turned
	MOVLW       0
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main16
	MOVLW       0
	XORWF       R1, 0 
L__main16:
	BTFSC       STATUS+0, 2 
	GOTO        L_main3
;pic18f2550_metronome.c,20 :: 		NINT0 = NINTs;
	MOVF        _NINTs+0, 0 
	MOVWF       main_NINT0_L0+0 
	MOVF        _NINTs+1, 0 
	MOVWF       main_NINT0_L0+1 
;pic18f2550_metronome.c,21 :: 		switch (NINTs) {
	GOTO        L_main4
;pic18f2550_metronome.c,22 :: 		case 35:
L_main6:
;pic18f2550_metronome.c,23 :: 		Glcd_Box(25, 20, 100, 35, 0); // clear old value
	MOVLW       25
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	MOVLW       20
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
	MOVLW       100
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	MOVLW       35
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	CLRF        FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
;pic18f2550_metronome.c,24 :: 		Glcd_Write_Text("Largo", 30, 3, 2);
	MOVLW       ?lstr1_pic18f2550_metronome+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr1_pic18f2550_metronome+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       30
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;pic18f2550_metronome.c,25 :: 		break;
	GOTO        L_main5
;pic18f2550_metronome.c,26 :: 		case 30:
L_main7:
;pic18f2550_metronome.c,27 :: 		Glcd_Box(25, 20, 100, 35, 0); // clear old value
	MOVLW       25
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	MOVLW       20
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
	MOVLW       100
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	MOVLW       35
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	CLRF        FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
;pic18f2550_metronome.c,28 :: 		Glcd_Write_Text("Adagio", 30, 3, 2);
	MOVLW       ?lstr2_pic18f2550_metronome+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr2_pic18f2550_metronome+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       30
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;pic18f2550_metronome.c,29 :: 		break;
	GOTO        L_main5
;pic18f2550_metronome.c,30 :: 		case 25:
L_main8:
;pic18f2550_metronome.c,31 :: 		Glcd_Box(25, 20, 100, 35, 0); // clear old value
	MOVLW       25
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	MOVLW       20
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
	MOVLW       100
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	MOVLW       35
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	CLRF        FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
;pic18f2550_metronome.c,32 :: 		Glcd_Write_Text("Andante", 30, 3, 2);
	MOVLW       ?lstr3_pic18f2550_metronome+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr3_pic18f2550_metronome+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       30
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;pic18f2550_metronome.c,33 :: 		break;
	GOTO        L_main5
;pic18f2550_metronome.c,34 :: 		case 20:
L_main9:
;pic18f2550_metronome.c,35 :: 		Glcd_Box(25, 20, 100, 35, 0); // clear old value
	MOVLW       25
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	MOVLW       20
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
	MOVLW       100
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	MOVLW       35
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	CLRF        FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
;pic18f2550_metronome.c,36 :: 		Glcd_Write_Text("Moderato", 30, 3, 2);
	MOVLW       ?lstr4_pic18f2550_metronome+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr4_pic18f2550_metronome+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       30
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;pic18f2550_metronome.c,37 :: 		break;
	GOTO        L_main5
;pic18f2550_metronome.c,38 :: 		case 15:
L_main10:
;pic18f2550_metronome.c,39 :: 		Glcd_Box(25, 20, 100, 35, 0); // clear old value
	MOVLW       25
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	MOVLW       20
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
	MOVLW       100
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	MOVLW       35
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	CLRF        FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
;pic18f2550_metronome.c,40 :: 		Glcd_Write_Text("Alegro", 30, 3, 2);
	MOVLW       ?lstr5_pic18f2550_metronome+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr5_pic18f2550_metronome+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       30
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;pic18f2550_metronome.c,41 :: 		break;
	GOTO        L_main5
;pic18f2550_metronome.c,42 :: 		case 10:
L_main11:
;pic18f2550_metronome.c,43 :: 		Glcd_Box(25, 20, 100, 35, 0); // clear old value
	MOVLW       25
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	MOVLW       20
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
	MOVLW       100
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	MOVLW       35
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	CLRF        FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
;pic18f2550_metronome.c,44 :: 		Glcd_Write_Text("Vivace", 30, 3, 2);
	MOVLW       ?lstr6_pic18f2550_metronome+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr6_pic18f2550_metronome+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       30
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;pic18f2550_metronome.c,45 :: 		break;
	GOTO        L_main5
;pic18f2550_metronome.c,46 :: 		case 5:
L_main12:
;pic18f2550_metronome.c,47 :: 		Glcd_Box(25, 20, 100, 35, 0); // clear old value
	MOVLW       25
	MOVWF       FARG_Glcd_Box_x_upper_left+0 
	MOVLW       20
	MOVWF       FARG_Glcd_Box_y_upper_left+0 
	MOVLW       100
	MOVWF       FARG_Glcd_Box_x_bottom_right+0 
	MOVLW       35
	MOVWF       FARG_Glcd_Box_y_bottom_right+0 
	CLRF        FARG_Glcd_Box_color+0 
	CALL        _Glcd_Box+0, 0
;pic18f2550_metronome.c,48 :: 		Glcd_Write_Text("Presto", 30, 3, 2);
	MOVLW       ?lstr7_pic18f2550_metronome+0
	MOVWF       FARG_Glcd_Write_Text_text+0 
	MOVLW       hi_addr(?lstr7_pic18f2550_metronome+0)
	MOVWF       FARG_Glcd_Write_Text_text+1 
	MOVLW       30
	MOVWF       FARG_Glcd_Write_Text_x_pos+0 
	MOVLW       3
	MOVWF       FARG_Glcd_Write_Text_page_num+0 
	MOVLW       2
	MOVWF       FARG_Glcd_Write_Text_color+0 
	CALL        _Glcd_Write_Text+0, 0
;pic18f2550_metronome.c,49 :: 		break;
	GOTO        L_main5
;pic18f2550_metronome.c,50 :: 		default: break;
L_main13:
	GOTO        L_main5
;pic18f2550_metronome.c,51 :: 		} // switch
L_main4:
	MOVLW       0
	XORWF       _NINTs+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main17
	MOVLW       35
	XORWF       _NINTs+0, 0 
L__main17:
	BTFSC       STATUS+0, 2 
	GOTO        L_main6
	MOVLW       0
	XORWF       _NINTs+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main18
	MOVLW       30
	XORWF       _NINTs+0, 0 
L__main18:
	BTFSC       STATUS+0, 2 
	GOTO        L_main7
	MOVLW       0
	XORWF       _NINTs+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main19
	MOVLW       25
	XORWF       _NINTs+0, 0 
L__main19:
	BTFSC       STATUS+0, 2 
	GOTO        L_main8
	MOVLW       0
	XORWF       _NINTs+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main20
	MOVLW       20
	XORWF       _NINTs+0, 0 
L__main20:
	BTFSC       STATUS+0, 2 
	GOTO        L_main9
	MOVLW       0
	XORWF       _NINTs+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main21
	MOVLW       15
	XORWF       _NINTs+0, 0 
L__main21:
	BTFSC       STATUS+0, 2 
	GOTO        L_main10
	MOVLW       0
	XORWF       _NINTs+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main22
	MOVLW       10
	XORWF       _NINTs+0, 0 
L__main22:
	BTFSC       STATUS+0, 2 
	GOTO        L_main11
	MOVLW       0
	XORWF       _NINTs+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main23
	MOVLW       5
	XORWF       _NINTs+0, 0 
L__main23:
	BTFSC       STATUS+0, 2 
	GOTO        L_main12
	GOTO        L_main13
L_main5:
;pic18f2550_metronome.c,57 :: 		}//if
L_main3:
;pic18f2550_metronome.c,58 :: 		Delay_ms(100);
	MOVLW       130
	MOVWF       R12, 0
	MOVLW       221
	MOVWF       R13, 0
L_main14:
	DECFSZ      R13, 1, 1
	BRA         L_main14
	DECFSZ      R12, 1, 1
	BRA         L_main14
	NOP
	NOP
;pic18f2550_metronome.c,59 :: 		} // while
	GOTO        L_main1
;pic18f2550_metronome.c,61 :: 		} // main
L_end_main:
	GOTO        $+0
; end of _main
